| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
ExtcapOptionsDialog Class Reference

A dialog for configuring extcap device options. More...

`#include <extcap_options_dialog.h>`

Inheritance diagram for ExtcapOptionsDialog:

## Public Member Functions
| ~ExtcapOptionsDialog ()
| Destroys the ExtcapOptionsDialog.
ExtcapValueList | loadValuesFor (int argNum, QString call, QString parent="")
| Loads a list of available values for a specific argument.

## Static Public Member Functions
static ExtcapOptionsDialog * | createForDevice (QString &device_name, bool startCaptureOnClose, QWidget *parent=0, QString *option_name=NULL, QString *option_value=NULL)
| Creates an ExtcapOptionsDialog for a specific device.

## Detailed Description

A dialog for configuring extcap device options.

## Member Function Documentation

## ◆ createForDevice()

ExtcapOptionsDialog * ExtcapOptionsDialog::createForDevice | ( | QString & | device_name,
|  | bool | startCaptureOnClose,
|  | QWidget * | parent = 0,
|  | QString * | option_name = NULL,
|  | QString * | option_value = NULL )
| static

Creates an ExtcapOptionsDialog for a specific device.

Parameters

  device_name | The name of the extcap device.
  startCaptureOnClose | True to automatically start the capture when the dialog closes.
  parent | The parent widget, defaults to 0.
  option_name | Optional pointer to a specific option name to configure.
  option_value | Optional pointer to a specific option value to configure.

Returns
  A pointer to the created ExtcapOptionsDialog.

## ◆ loadValuesFor()

ExtcapValueList ExtcapOptionsDialog::loadValuesFor | ( | int | argNum,
|  | QString | call,
|  | QString | parent = "" )

Loads a list of available values for a specific argument.

Parameters

  argNum | The argument number.
  call | The call string associated with the argument.
  parent | The parent hierarchy string (defaults to an empty string).

Returns
  A list of loaded ExtcapValue objects.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/extcap_options_dialog.h
- /builds/wireshark/wireshark/ui/qt/extcap_options_dialog.cpp